Subject: Re: [siprec] #31: Do we need REQ-019 and REQ-020 on metadata transport?

From: Leon Portman <[email-masked]>
Date: Mon, 12 Jul 2010 12:56:53 +0300

Ok, let's keep it out of scope, it is too contact center oriented. The definition below is fine from my point of view. We can always extend it later.

Leon

----- Original Message -----
From: Elwell, John <[email-masked]>
To: Leon Portman; [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>
Cc: [email-masked]' <[email-masked]>
Sent: Mon Jul 12 12:45:36 2010
Subject: RE: [siprec] #31: Do we need REQ-019 and REQ-020 on metadata transport?

This will depend on our definition of metadata content, as discussed on a separate thread. However, I would note that the requirements draft mainly talks about "session metadata" and "call metadata", which would seem to exclude the sort of things you mention below. The definition of metadata is "Data that describes the Communication Session and Recording Session", which again would seem to exclude the things you mention below.

Also we have existing presence documents and protocols, so I am doubtful about defining anything new in that space.

John (as individual)

> -----Original Message-----
> From: Leon Portman [mailto:[email-masked]] 
> Sent: 12 July 2010 09:57
> To: Elwell, John; [email-masked]'; [email-masked]'
> Cc: [email-masked]'
> Subject: Re: [siprec] #31: Do we need REQ-019 and REQ-020 on 
> metadata transport?
> 
> John, Hi
> 
> But what about events that's are outside CS? Like presence or 
> login/logout, ready/not ready? 
> 
> Regards
> 
> Leon
> 
> ----- Original Message -----
> From: Elwell, John <[email-masked]>
> To: Leon Portman; siprec issue tracker <[email-masked]>; 
> [email-masked] <[email-masked]>
> Cc: [email-masked] <[email-masked]>
> Sent: Mon Jul 12 09:33:55 2010
> Subject: RE: [siprec] #31: Do we need REQ-019 and REQ-020 on 
> metadata transport?
> 
> Leon,
> 
> So you seem to be agreeing that we need a requirement for 
> delivering metadata from the SRC to the SRS. In my opinion, 
> it is not necessary in the requirements document to say 
> whether it is in-dialog or out-of-dialog (that is a solution 
> matter), so I would propose a single requirement something like this:
> "REQ-019 The mechanism MUST support the ability to transport 
> metadata from the SRC to the SRS at the start of and during a CS."
> (REQ-020 would be removed)
> 
> John (as individual)
> 
> 
> > -----Original Message-----
> > From: Leon Portman [mailto:[email-masked]] 
> > Sent: 11 July 2010 08:35
> > To: siprec issue tracker; [email-masked]; Elwell, John
> > Cc: [email-masked]
> > Subject: RE: [siprec] #31: Do we need REQ-019 and REQ-020 on 
> > metadata transport?
> > 
> > The original intent for REQ-20 was exactly like you stated: 
> > Subscribe/Notify event package that reports in real time (not 
> > CDR) call events and metadata from SRC to SRS for following 
> > main use cases:
> > 1. Recording decision for the case SRS decides on the 
> > recording (for example recording 10 calls per agent per 
> > shift, SRC does not know anything about agent shifts) and 
> > SRS->SRC recording invocation
> > 2. Reporting additional events like presence status (can be 
> > done by other means as well) that are outside of CS
> > 3. Possible replacement of traditional CTI/CDR interfaces 
> > like JTAPI,TSAPI,CSTA - probably out of scope however from 
> > implementation point of view why to have two different methods
> > 
> > I think it is very important that SIPREC will define at least 
> > mandatory XML schema for basic metadata events and parameters 
> > (like Paul already started) otherwise we will miss the goal 
> > for standardization of the recording interfaces: we cannot 
> > build a recording solution without metadata reporting.
> > 
> > Leon
> > 
> > 
> > -----Original Message-----
> > From: [email-masked] 
> > [mailto:[email-masked]] On Behalf Of siprec issue tracker
> > Sent: Thursday, July 08, 2010 6:46 PM
> > To: [email-masked]; [email-masked]
> > Cc: [email-masked]
> > Subject: Re: [siprec] #31: Do we need REQ-019 and REQ-020 on 
> > metadata transport?
> > 
> > #31: Do we need REQ-019 and REQ-020 on metadata transport?
> > ------------------------------------------------+-------------
> > --------------
> >  Reporter:  john.elwell@...                       |       
> > Owner:  krehor@...        
> >      Type:  defect                              |      
> > Status:  new             
> >  Priority:  minor                               |   
> > Milestone:                  
> > Component:  Requirements                        |     
> > Version:                  
> >  Severity:  Active WG Document                  |    
> > Keywords:                  
> > ------------------------------------------------+-------------
> > --------------
> > 
> > Comment(by john.elwell@...):
> > 
> >  Further thoughts.:
> > 
> >  These requirements are rather solution specific, so if we 
> > really need one
> >  or both of these, they should at least be worded 
> differently, without
> >  talking about SIP dialogs.
> > 
> >  From off-line discussions, I gather that REQ-20 was written 
> > with non-SIP
> >  means in mind, e.g., JTAPI. Previously I had interpreted 
> > REQ-20 as being
> >  aimed at SIP but outside the context of the INVITE-initiated 
> > SIP dialog
> >  used for the RS (e.g., using SIP PUBLISH or 
> SUBSCRIBE/NOTIFY), but it
> >  seems this was perhaps not the intention.
> > 
> >  So in that case, I think the real question is whether we have a
> >  requirement for delivering metadata from the SRC to the SRS 
> > as part of
> >  SIPREC (in which case it would be some form of SIP-based 
> > solution) and/or
> >  whether we have a requirement for the SRS to obtain metadata 
> > from some
> >  other source via non-SIP means (e.g., from CDR via JTAPI). I 
> > believe the
> >  latter would be outside the scope of SIPREC, in which case 
> > we are left
> >  with just the former.
> > 
> >  The SIPREC charter includes "Session metadata content and 
> > format", and I
> >  had interpreted this (rightly or wrongly) as meaning that we should
> >  include a mechanism for delivering metadata as part of the 
> > solution, and
> >  delivery should be SIP-based. This would indeed suggest that 
> > we have a
> >  requirement for delivering metadata from the SRC to the SRS 
> > via SIP. So
> >  perhaps we need REQ-19 (suitably reworded) but not REQ-20.
> > 
> >  John (as individual)
> > 
> > -- 
> > Ticket URL: 
> > <http://trac.tools.ietf.org/wg/siprec/trac/ticket/31#comment:1>
> > siprec <http://tools.ietf.org/siprec/>
> > 
> > _______________________________________________
> > siprec mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/siprec
> >